Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface TreeListener

All Superinterfaces:
  java.util.EventListener

    public interface TreeListener

extends java.util.EventListener

Event listener interface for tree events.

Method Summary
`void` | `onTreeItemSelected(TreeItem item)` Fired when a tree item is selected.
`void` | `onTreeItemStateChanged(TreeItem item)` Fired when a tree item is opened or closed.

Method Detail

### onTreeItemSelected

    void onTreeItemSelected(TreeItem item)

  Fired when a tree item is selected.

  Parameters:
    `item` - the item being selected.

### onTreeItemStateChanged

    void onTreeItemStateChanged(TreeItem item)

  Fired when a tree item is opened or closed.

  Parameters:
    `item` - the item whose state is changing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD